Subject: bug#2414: 23.0.90; use dired-guess-default too for minibuffer-default-add-shell-commands

From: Juri Linkov <[email-masked]>
Date: Sun, 05 Dec 2021 11:25:05 +0200

> Emacs does have a problem in this area, though -- I'm guessing there's a
> dozen different packages that define similar functionality (i.e.,
> "what's in mailcap but with some extras"), and consolidating these would
> be nice.  But the problem is that there's different use cases -- the
> things a person wants to do in Dired isn't necessarily what they'd want
> to do in Gnus when receiving an attachment).

Such consolidation was discussed recently in https://debbugs.gnu.org/18132#92